<?php
 Session_Start () ;
 If (!$_SESSION ["repertoire_config"]) { Header ("Location: ../../") ; }
 Include ("../../include/garennes.cfg") ;
 Include ("../../include/init.php") ;
 Include ("../include/config.inc") ;
 verif_droits ($droit_courant, $_SESSION ["code"]) ;
 
 $hauteur_photo = 2*$hauteur_petite_photo ;
 $largeur_photo = 2*$largeur_petite_photo ;
 
 $code = var_courante ("code", 0, $_SESSION ["code"]) ;
 $id_eleve = var_courante ("id_eleve", 0, 0) ;
 $repere1 = var_courante ("repere1", 0, "") ;
 $repere2 = var_courante ("repere2", 0, "") ;
 $id_classe = var_courante ("id_classe", 0, 0) ;
 $nouv_id_classe = var_courante ("nouv_id_classe", 0, 0) ;
 $lettre = var_courante ("lettre", 0, "A") ;
 $etape = var_courante ("etape", 0, 0) ;
 $millesime = millesime (0) ;
 
 Function affiche_eleve ()
  {
   Global $l, $ligne, $http_garennes, $repertoire_racine, $hauteur_photo, $largeur_photo, $id_classe ;
   // Nom + Photo
   If (($ligne ["photo"]) And (File_Exists ($repertoire_racine."/images/eleves/".$ligne ["photo"])))
    { $fiche_photo = $http_garennes."images/eleves/".$ligne ["photo"] ; }
   Else
    { $fiche_photo = $http_garennes."images/eleves/anonyme.png" ; }
   $lg  = "<TR>" ;
   $lg .= "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Nom&nbsp;:&nbsp;</FONT></TD>" ;
   $lg .= "<TD><FONT SIZE=\"".$l ["titre"]."\"><B>".$ligne ["nom"]."</B></FONT></TD>" ;
   $lg .= "<TD ROWSPAN=\"8\" vALIGN=\"TOP\" ALIGN=\"LEFT\">" ;
   $lg .= "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\" STYLE=\"border-collapse:collapse\">" ;
   $lg .= "<TR><TD><IMG SRC=\"".$fiche_photo."\" WIDTH=\"".$largeur_photo."\" HEIGHT=\"".$hauteur_photo."\" BORDER=\"1\">&nbsp;</TD></TR>" ;
   $lg .= "</TABLE>" ;
   $lg .= "</TD></TR>" ;
   // Prenoms
   $lg .= "<TR>" ;
   $lg .= "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Pr&eacute;noms&nbsp;:&nbsp;</FONT></TD>" ;
   $lg .= "<TD><FONT SIZE=\"".$l ["titre"]."\"><B>".$ligne ["prenoms"]."</B></FONT></TD>" ;
   $lg .= "</TR>" ;
   // Date de naissance
   $lg .= "<TR>" ;
   $lg .= "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Date&nbsp;de&nbsp;naissance&nbsp;:&nbsp;</FONT></TD>" ;
   $lg .= "<TD><FONT SIZE=\"".$l ["titre"]."\"><B>" ;
   $d = Explode ("-", $ligne ["date_naissance"]) ;
   $lg .= $d [2]."/".$d [1]."/".$d [0] ;
   $lg .= "</B></FONT></TD>" ;
   $lg .= "</TR>" ;
   // Repere2 : Numero National
   $lg .= "<TR>" ;
   $lg .= "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Num&eacute;ro&nbsp;national&nbsp;:&nbsp;</FONT></TD>" ;
   $lg .= "<TD><FONT SIZE=\"".$l ["titre"]."\"><B>".$ligne ["repere2"]."</B></FONT></TD>" ;
   $lg .= "</TR>" ;
   // Repere1 : Numero GEP
   $lg .= "<TR>" ;
   $lg .= "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Num&eacute;ro&nbsp;GEP&nbsp;:&nbsp;</FONT></TD>" ;
   $lg .= "<TD><FONT SIZE=\"".$l ["titre"]."\"><B>".$ligne ["repere1"]."</B>&nbsp;</FONT>(<FONT COLOR=\"#DD2222\"><B>non&nbsp;obligatoire</B></FONT>)</TD>" ;
   $lg .= "</TR>" ;
   // Classe Actuelle
   $lg .= "<TR>" ;
   $lg .= "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Classe&nbsp;actuelle&nbsp;:&nbsp;</FONT></TD>" ;
   $lg .= "<TD><FONT SIZE=\"".$l ["titre"]."\"><B>".nom_classe_long_parid ($id_classe)."&nbsp;</B>(<B>".nom_classe_bref_parid ($id_classe)."</B>)</FONT></TD>" ;
   $lg .= "</TR>" ;
   Return $lg ;
  }

 Function enregistre_discipline ($id_disc, $sous_disc) 
  {
   Global $deja_attribue ;
   $ok = 0 ;
   For ($i = 1 ; $i <= $deja_attribue [0][0] ; $i++)
    {
     If ($deja_attribue [$i][0] == $id_disc) { $ok = $i ; }
    }
   If ($ok == 0)
    {
     // Nouveau
     $deja_attribue [0][0]++ ;
     $deja_attribue [$deja_attribue [0][0]][0] = $id_disc ;
     $deja_attribue [$deja_attribue [0][0]][1] = 1 ;
     $deja_attribue [$deja_attribue [0][0]][2] = $sous_disc ;
    }
   Else
    {
     // Complete l'ancien
     $deja_attribue [$ok][1]++ ;
     $deja_attribue [$ok][$deja_attribue [$ok][1]+1] = $sous_disc ;
    }
  }

 Function fabrique_chaine ()
  {
   Global $deja_attribue ;
   $chaine = "" ;
   For ($i = 1 ; $i <= $deja_attribue [0][0] ; $i++)
    {
     $chaine .= " AND !(s.discipline='".$deja_attribue [$i][0]."' AND " ;
     If ($deja_attribue [$i][1] > 1) { $chaine .= "(" ; }
     For ($j = 1 ; $j <= $deja_attribue [$i][1] ; $j++)
      {
       If ($j > 1) { $chaine .= " OR " ; }
       $chaine .= "s.sous_discipline='".$deja_attribue [$i][$j+1]."'" ;
      }
     If ($deja_attribue [$i][1] > 1) { $chaine .= ")" ; }
     $chaine .= ")" ;
    }
   Return $chaine ;
  }

 // Modifications
 If ($etape <= 0) { $etape = 0 ; } Else { $etape++ ; }
 If ((IsSet ($etape)) And ($etape == 4))
  {
   Include ("../../include/verifications.php") ;
   // Recherche eleves de la nouvelle classe avant changement
   $eleves_nc = SQL_commande ("SELECT id_eleve,repere1,repere2 FROM eleves WHERE classe='".$nouv_id_classe."'", $id_sql) ;
   $el_nc [0][0] = SQL_nbr_lignes ($eleves_nc) ;
   For ($i = 1 ; $i <= $el_nc [0][0] ; $i++)
    {
     $enc = SQL_ligne_suivante ($eleves_nc) ;
     $el_nc [$i][0] = $enc [0] ;
     $el_nc [$i][1] = $enc [1] ;
     $el_nc [$i][2] = $enc [2] ;
    }
   $res = SQL_commande ("SELECT nom_bref,examen FROM classes WHERE id_classe='".$nouv_id_classe."' LIMIT 1", $id_sql) ;
   $cc = SQL_ligne_suivante ($res) ;
   $nouv_code_classe = $cc [0] ;
   $examen = $cc [1] ;
   $ok = SQL_commande ("UPDATE eleves SET classe='".$nouv_id_classe."',code_classe='".$nouv_code_classe."' WHERE id_eleve='".$id_eleve."' LIMIT 1", $id_sql) ;
    
   // Change options
   // Supprimer les options
   $ok = SQL_commande ("DELETE FROM options_eleve WHERE eleve='".$id_eleve."' AND millesime='".$millesime."'", $id_sql) ;
   // Modifier table des options
   $nbr_opt = var_courante ("nbr_opt", 0, 0) ;
   For ($i = 0 ; $i < $nbr_opt ; $i++)
    {
     $option = var_courante ("op_".$i, 0, 0) ;
     If ($option == 1)
      {
       $id_disc_op = var_courante ("id_disc_op_".$i, 0, 0) ;
       $id_sc_op = var_courante ("id_sc_op_".$i, 0, 0) ;
       $res = SQL_commande ("SELECT code FROM disciplines WHERE id_discipline='".$id_disc_op."' LIMIT 1", $id_sql) ;
       $disc = SQL_ligne_suivante ($res) ;
       $ok = SQL_commande ("INSERT INTO options_eleve (eleve,repere1,repere2,discipline,code_disc,service_classe,millesime)
                            VALUES ('".$id_eleve."','".$repere1."','".$repere2."','".$id_disc_op."','".$disc [0]."','".$id_sc_op."','".$millesime."')", $id_sql) ;
      }
    }

   // Change groupes
   // Supprimer les groupes
   $ok = SQL_commande ("DELETE FROM groupes_eleve WHERE eleve='".$id_eleve."' AND millesime='".$millesime."'", $id_sql) ;
   // Modifier table des groupes
   $nbr_gp = var_courante ("nbr_gp", 0, 0) ;
   For ($i = 0 ; $i < $nbr_gp ; $i++)
    {
     $groupe = var_courante ("id_gp_".$i, 0, 0) ;
     If ($groupe > 0)
      {
       $id_disc_gp = var_courante ("id_disc_gp_".$i, 0, 0) ;
       $res = SQL_commande ("SELECT code FROM disciplines WHERE id_discipline='".$id_disc_gp."' LIMIT 1", $id_sql) ;
       $disc = SQL_ligne_suivante ($res) ;
       $ok = SQL_commande ("INSERT INTO groupes_eleve (eleve, repere1, repere2,discipline,code_disc,groupe,millesime)
                            VALUES ('".$id_eleve."','".$repere1."','".$repere2."','".$id_disc_gp."','".$disc [0]."','".$groupe."','".$millesime."')", $id_sql) ;
      }
    }
   
   // Inserer des notes A pour les controles de la classe deja existant pour cet eleve
   $matieres = SQL_commande ("SELECT discipline,service_classe,groupe_classe,id_service_prof FROM services_prof WHERE classe='".$nouv_id_classe."'", $id_sql) ;
   For ($i = 0 ; $i < SQL_nbr_lignes ($matieres) ; $i++)
    {
     $mat = SQL_ligne_suivante ($matieres) ;
     If (test_matiere ($mat [0],$nouv_id_classe,$mat [1],$mat [2],$id_eleve) == 1)
      {
       $controles = SQL_commande ("SELECT id_controle,id,enregistrement FROM controles WHERE service_prof='".$mat [3]."'", $id_sql) ;
       For ($j = 0 ; $j < SQL_nbr_lignes ($controles) ; $j++)
        {
         $ctl = SQL_ligne_suivante ($controles) ;
	 $ok = SQL_commande ("INSERT INTO notes (eleve,repere1,repere2,valeur,commentaire,controle,id,enregistrement,millesime) VALUES 
	                      ('".$id_eleve."','".$repere1."','".$repere2."','".$code_absent."','','".$ctl [0]."','".$ctl [1]."','".$ctl [2]."','".$millesime."')", $id_sql) ;
        }
      }	 
    }
   // Insertion des nouveaux controles
   $nbr_controles = 0 ;
   For ($i = 0 ; $i <= $nbr_sp ; $i++)
    {
     $id_service_prof_source = var_courante ("id_sp_s_".$i, 0, 0) ;
     $id_service_prof_dest = var_courante ("id_sp_d_".$i, 0, 0) ;
     If ($id_service_prof_dest > 0)
      {
       $res_source = SQL_commande ("SELECT d.id_discipline,d.nom_court,d.nom_bref,d.code,s.*,c.optionnelle,c.groupe,c.id_service_classe,u.numen
	                              FROM disciplines d,services_prof s,services_classe c,utilisateurs u
	                             WHERE s.id_service_prof='".$id_service_prof_source."' AND s.service_classe=c.id_service_classe
				       AND s.professeur=u.id_utilisateur LIMIT 1", $id_sql) ;
       $source = SQL_tableau_associatif ($res_source, "") ;
       $res_dest = SQL_commande ("SELECT s.*,c.optionnelle,c.groupe,c.id_service_classe,u.numen
                                    FROM services_prof s,services_classe c,utilisateurs u
	                           WHERE s.id_service_prof='".$id_service_prof_dest."' AND s.service_classe=c.id_service_classe
				     AND s.professeur=u.id_utilisateur LIMIT 1", $id_sql) ;
       $dest = SQL_tableau_associatif ($res_dest, "") ;
   
       // Change appreciations
       // Modif appreciations : classe/professeur/discipline/service_prof
       $ok = SQL_commande ("UPDATE appreciations SET classe='".$nouv_id_classe."',code_classe='".$nouv_code_classe."',professeur='".$dest ["professeur"]."',numen='".$dest ["numen"]."',
                                   discipline='".$dest ["discipline"]."',code_disc='".$dest ["code_disc"]."',service_prof='".$id_service_prof_dest."'
			     WHERE eleve='".$id_eleve."' AND service_prof='".$id_service_prof_source."'", $id_sql) ;
       // Change moyennes
       $ok = SQL_commande ("UPDATE moyennes SET service_classe='".$dest ["service_classe"]."',service_prof='".$id_service_prof_dest."'
			     WHERE eleve='".$id_eleve."' AND service_prof='".$id_service_prof_source."' AND service_classe='".$source ["service_classe"]."'", $id_sql) ;
       // Creation des controles + Re-attribution ds notes
       $controles = SQL_commande ("SELECT * FROM controles WHERE service_prof='".$id_service_prof_source."'", $id_sql) ;
       For ($j = 0 ; $j < SQL_nbr_lignes ($controles) ; $j++)
        {
         $ctl = SQL_tableau_associatif ($controles, "") ;
	 If (SubStr ($ctl ["enregistrement"], 0, 10) == "0000-00-00") { $ctl ["enregistrement"] = Date ("Y-m-d H:i:s") ; }
         $res_np = SQL_commande ("SELECT numero FROM periodes_classe WHERE debut<='".$ctl ["date"]."' AND fin>='".$ctl ["date"]."' LIMIT 1", $id_sql) ;
         $np = SQL_ligne_suivante ($res_np) ;
         $nouv_periode = $np [0] ;
         $ok = SQL_commande ("INSERT INTO controles (date,classe,code_classe,professeur,numen,discipline,code_disc,service_prof,description,coefficient,periode,
                                                     enregistrement,date_maj,examen,max,id,sous_matiere,millesime)
                              VALUES ('".$ctl ["date"]."','".$nouv_id_classe."','".$nouv_code_classe."','".$dest ["professeur"]."','".$dest ["numen"]."',
			              '".$dest ["discipline"]."','".$dest ["code_disc"]."','".$id_service_prof_dest."','".filtrage ($ctl ["description"])."',
				      '".$ctl ["coefficient"]."','".$nouv_periode."','".$ctl ["enregistrement"]."','".$ctl ["date_maj"]."',
				      '".($ctl ["examen"]*$examen)."','".$ctl ["max"]."','".$ctl ["id"]."','".$ctl ["sous_matiere"]."','".$millesime."')", $id_sql) ;
	 // Transfert des notes
         $res_id = SQL_commande ("SELECT LAST_INSERT_ID() FROM controles", $id_sql) ;
	 $rid = SQL_ligne_suivante ($res_id) ;
	 $id_controle = $rid [0] ;
	 $ok = SQL_commande ("UPDATE notes SET controle='".$id_controle."',enregistrement='".$ctl ["enregistrement"]."',id='".$ctl ["id"]."' WHERE eleve='".$id_eleve."' AND controle='".$ctl ["id_controle"]."'", $id_sql) ;
	 
	 // Inserer des notes A pour les autres eleves de la classe
	 $requete = "INSERT INTO notes (eleve,repere1,repere2,valeur,commentaire,controle,id,enregistrement,millesime) VALUES " ;
	 $ok_ins = 0 ;
	 For ($k = 1 ; $k <= $el_nc [0][0] ; $k++)
          {
	   If (test_matiere ($dest ["discipline"],$nouv_id_classe,$dest ["id_service_classe"],$dest ["groupe_classe"],$el_nc [$k][0]) == 1)
            {
	     If ($ok_ins > 0) { $requete .= "," ; }
             $requete .= "('".$el_nc [$k][0]."','".$el_nc [$k][1]."','".$el_nc [$k][2]."','".$code_absent."','','".$id_controle."','".$ctl ["id"]."','".$ctl ["enregistrement"]."','".$millesime."')" ;
	     $ok_ins++ ;
            }
          }
	 If ($ok_ins > 0) { $ok = SQL_commande ($requete, $id_sql) ; }
	 $nbr_controles++ ;
        }
      }
     Else
      {
       // Effacement des notes sources
       $controles = SQL_commande ("SELECT * FROM controles WHERE service_prof='".$id_service_prof_source."'", $id_sql) ;
       For ($j = 0 ; $j < SQL_nbr_lignes ($controles) ; $j++)
        {
	 $ctl = SQL_tableau_associatif ($controles, "") ;
	 $ok = SQL_commande ("DELETE FROM notes WHERE eleve='".$id_eleve."' AND controle='".$ctl ["id_controle"]."'", $id_sql) ;
	}
      }
    }
   
   // Verification des notes
   /*
   $res = SQL_commande ("SELECT id_eleve FROM eleves WHERE classe='".$nouv_id_classe."' ORDER BY nom,prenoms,login", $id_sql) ;
   $rapport [0] = 0 ;
   $rapport [1] = "" ;
   For ($i = 0 ; $i < SQL_nbr_lignes ($res) ; $i++)
    {
     $eleve = SQL_ligne_suivante ($res, "") ;
     $r = verification_notes_eleve ($eleve [0], 0) ;
     $rapport [0] += $r [0] ;
     $rapport [1] .= $r [1]."\n" ;
    }
   $mess = 1 ;
   */
  }
 
 // Chercher la fiche eleve
 $resultat = SQL_commande ("SELECT * FROM eleves WHERE id_eleve='".$id_eleve."'", $id_sql) ;
 $ligne = SQL_tableau_associatif ($resultat, "") ;
 $id_classe = $ligne ["classe"] ;
 
 // Existe-t-il une note
 $resultat = SQL_commande ("SELECT id_note FROM notes WHERE eleve='".$ligne ["id_eleve"]."' AND repere1='".$ligne ["repere1"]."' AND repere2='".$ligne ["repere2"]."'", $id_sql) ;
 $ok_classe = SQL_nbr_lignes ($resultat) ;
 
 $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0' LIMIT 1", $id_sql) ;
 $l = SQL_tableau_associatif ($resultats, "") ;
 
 Echo "<HTML><HEAD>" ;
 entete_html ("Garennes", "travail", 1) ;
 Echo styles ("none", "none", "none", $l ["lien"], "none") ;
 Echo "</HEAD>" ;
 
 If ((!IsSet ($etape)) Or ($etape <= 0) Or ($etape > 4)) { $etape = 1 ; }
 Echo "<BODY BACKGROUND=\"../images/fond.png\" TEXT=\"#000000\">";// onContextMenu=\"return false\">" ;
 Echo "<CENTER><FONT COLOR=\"#0000FF\">Modification&nbsp;d'une&nbsp;classe&nbsp;d'un&nbsp;&eacute;l&egrave;ve&nbsp;(".$etape."/4)</FONT></CENTER>" ;
 Switch ($etape)
  {
   Case 1 : Echo "<FORM ACTION=\"./modif_classe.php\" METHOD=\"POST\">" ;
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"".$lettre."\">" ;
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_eleve\" VALUE=\"".$id_eleve."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$id_classe."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"etape\" VALUE=\"".$etape."\">" ;
            Echo "<TABLE BORDER=\"1\" ALIGN=\"CENTER\" CELLSPACING=\"0\" CELLPADDING=\"0\" STYLE=\"border:1px solid #000000;border-collapse:collapse\">" ;
            Echo "<TR><TD>" ;
            Echo "<TABLE BORDER=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" STYLE=\"border-collapse:collapse\">" ;
	    // Titre
            Echo "<TR><TD COLSPAN=\"4\" ALIGN=\"CENTER\">&nbsp;<B>Choix&nbsp;de&nbsp;la&nbsp;nouvelle&nbsp;classe</B>&nbsp;</TD></TR>" ;
	    // Espace
            Echo "<TR><TD COLSPAN=\"4\">&nbsp;</TD></TR>" ;
	    Echo affiche_eleve () ;
            // Nouvelle Classe
            Echo "<TR BGCOLOR=\"".$l ["nom"]."\">" ;
            Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;<B>Nouvelle&nbsp;classe:</B>&nbsp;</FONT></TD>" ;
            Echo "<TD><FONT SIZE=\"".$l ["titre"]."\">" ;
            Echo "<SELECT NAME=\"nouv_id_classe\">" ;
            $resultat = SQL_commande ("SELECT id_classe, nom, nom_bref FROM classes ORDER BY nom_bref,nom", $id_sql) ;
            While ($lin_cl = SQL_ligne_suivante ($resultat))
             {
              If ($lin_cl [0] != $id_classe)
               {
                Echo "<OPTION VALUE=\"".$lin_cl [0]."\">(".$lin_cl [2].")&nbsp;".$lin_cl [1]."</OPTION>" ;
               }
             }
            Echo "</SELECT></FONT></TD>" ;
            Echo "</TR>" ;
            // Espace
            Echo "<TR><TD COLSPAN=\"4\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;</FONT></TD></TR>" ;
            // Boutons
            Echo "<TR>" ;
            Echo "<TD></TD>" ;
            Echo "<TD ALIGN=\"CENTER\">" ;
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
            Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/valider.png\" TITLE=\"Valider\" VALUE=\"Valider\" BORDER=\"0\">" ;
            Echo "</TD>" ;
            Echo "</FORM>" ;
	    Echo "<FORM ACTION=\"./edite_eleve.php\" METHOD=\"POST\">" ;
            Echo "<TD ALIGN=\"RIGHT\" COLSPAN=\"2\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_eleve\" VALUE=\"".$id_eleve."\">" ;
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"".$lettre."\">" ;
            Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/annuler.png\" TITLE=\"Retour &agrave; l'&eacute;dition &eacute;l&egrave;ve\" BORDER=\"0\">" ;
            Echo "</TD>" ;
            Echo "</FORM>" ;
            Echo "</TR></TABLE>" ;
            Echo "</TD></TR></TABLE>" ;
	    Break ;
   Case 2 : Echo "<FORM ACTION=\"./modif_classe.php\" METHOD=\"POST\">" ;
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"".$lettre."\">" ;
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_eleve\" VALUE=\"".$id_eleve."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$id_classe."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"nouv_id_classe\" VALUE=\"".$nouv_id_classe."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"etape\" VALUE=\"".$etape."\">" ;
            Echo "<TABLE BORDER=\"1\" ALIGN=\"CENTER\" CELLSPACING=\"0\" CELLPADDING=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" STYLE=\"border:1px solid #000000;border-collapse:collapse\">" ;
            Echo "<TR><TD>" ;
            Echo "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\" STYLE=\"border-collapse:collapse\">" ;
	    // Titre
            Echo "<TR><TD COLSPAN=\"4\" ALIGN=\"CENTER\">&nbsp;<B>&Eacute;dition&nbsp;des&nbsp;groupes&nbsp;et&nbsp;options</B>&nbsp;</TD></TR>" ;
	    // Espace
            Echo "<TR><TD COLSPAN=\"4\">&nbsp;</TD></TR>" ;
	    Echo affiche_eleve () ;
	    // Nouvelle Classe
            Echo "<TR>" ;
            Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Nouvelle&nbsp;classe&nbsp;:&nbsp;</FONT></TD>" ;
            Echo "<TD><FONT SIZE=\"".$l ["titre"]."\"><B>".nom_classe_long_parid ($nouv_id_classe)."&nbsp;</B>(<B>".nom_classe_bref_parid ($nouv_id_classe)."</B>)</FONT></TD>" ;
	    Echo "</TR>" ;
            // Options
            $options = options_id_classe ($nouv_id_classe) ;
	    Echo "<TR BGCOLOR=\"".$l ["nom"]."\">" ;
            Echo "<TD ALIGN=\"RIGHT\" vALIGN=\"TOP\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Nouvelles&nbsp;options&nbsp;:&nbsp;</FONT></TD>" ;
            If (Is_Array ($options))
             {  
              Echo "<TD><FONT SIZE=\"".$l ["titre"]."\">" ;
              $i = 0 ;
              While (list ($valeur, $cle) = Each ($options))
               {
                Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_disc_op_".$i."\" VALUE=\"".$cle."\">" ;
		Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_sc_op_".$i."\" VALUE=\"".$valeur."\"" ;
                Echo "<INPUT TYPE=\"CHECKBOX\" NAME=\"op_".$i."\" VALUE=\"1\"" ;
                If (option_identique ($id_eleve, $cle) > 0) { Echo " CHECKED" ; }
                Echo ">&nbsp;".nom_option ($valeur)."&nbsp;" ;
                $serv_prof = SQL_commande ("SELECT sous_discipline FROM services_prof WHERE service_classe='".$valeur."' LIMIT 1", $id_sql) ;
                $sp = SQL_ligne_suivante ($serv_prof) ;
                If ($sp [0])
                 {
                  $sous_disc = SQL_commande ("SELECT nom FROM sous_disciplines WHERE id_sous_discipline='".$sp [0]."' LIMIT 1", $id_sql) ;
                  $sd = SQL_ligne_suivante ($sous_disc) ;
                  Echo "(<I>".$sd [0]."</I>)&nbsp;" ;
                 }
                Echo "<BR>" ;
                $i++ ;
               }
              Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"nbr_opt\" VALUE=\"".$i."\"></FONT></TD></TR>" ;
             }
            Else { Echo "<TD vALIGN=\"TOP\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;<B>AUCUNE&nbsp;OPTION&nbsp;pour&nbsp;cette&nbsp;classe&nbsp;!</B>&nbsp;</FONT></TD></TR>" ; }
            // Groupes
            $groupes = groupes_classe ($nouv_id_classe) ;
	    Echo "<TR>" ;
            Echo "<TD ALIGN=\"RIGHT\" vALIGN=\"TOP\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Nouveaux&nbsp;groupes&nbsp;:&nbsp;</FONT></TD>" ;
            If (Is_Array ($groupes))
             {
              $ligne1 = "" ; $ligne2 = "" ;
              $i = 0 ;
              While (list ($cle, $valeur) = Each ($groupes))
               {
                $ligne1 .= "<TD ALIGN=\"CENTER\" BGCOLOR=\"".$l ["lien"]."\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;".$groupes [$cle][0]."&nbsp;</FONT></TD>" ;
                $ligne2 .= "<TD ALIGN=\"CENTER\"><FONT SIZE=\"".$l ["titre"]."\">" ;
                $ligne2 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"id_disc_gp_".$i."\" VALUE=\"".$cle."\">" ;
                $ligne2 .= "<SELECT NAME=\"id_gp_".$i."\">" ;
                $ligne2 .= "<OPTION VALUE=\"0\"></OPTION>" ;
                For ($j = 0 ; $j < $groupes [$cle][2] ; $j++)
                 {
                  $ligne2 .= "<OPTION VALUE=\"".$groupes [$cle][3+$j*2]."\"" ;
                  If (numero_groupe ($id_eleve, $cle) == $groupes [$cle][3+$j*2]) { $ligne2 .= " SELECTED" ; }
                  $ligne2 .= ">".$groupes [$cle][4+$j*2]."</OPTION>" ;
                 }
                $ligne2 .= "</SELECT>" ;
                $ligne2 .= "</TD>" ;
                $i++ ;
               }
              Echo "<TD COLSPAN=\"3\">" ;
              Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"nbr_gp\" VALUE=\"".$i."\">" ;
              Echo "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"1\">" ;
              Echo "<TR>".$ligne1."</TR>" ;
              Echo "<TR>".$ligne2."</TR>" ;
              Echo "</TABLE>" ;
              Echo "</TD></TR>" ;
             }
	    Else { Echo "<TD vALIGN=\"TOP\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;<B>AUCUN&nbsp;GROUPE&nbsp;pour&nbsp;cette&nbsp;classe&nbsp;!</B>&nbsp;</FONT></TD></TR>" ; }
            // Espace
            Echo "<TR><TD COLSPAN=\"4\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;</FONT></TD></TR>" ;
            // Boutons
            Echo "<TR>" ;
            Echo "<TD></TD>" ;
            Echo "<TD ALIGN=\"CENTER\">" ;
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
            Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/valider.png\" TITLE=\"Valider\" VALUE=\"Valider\" BORDER=\"0\">" ;
            Echo "</TD>" ;
            Echo "</FORM>" ;
            Echo "<FORM ACTION=\"./edite_eleve.php\" METHOD=\"POST\">" ;
            Echo "<TD ALIGN=\"RIGHT\" COLSPAN=\"2\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_eleve\" VALUE=\"".$id_eleve."\">" ;
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"".$lettre."\">" ;
            Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/annuler.png\" TITLE=\"Retour &agrave; l'&eacute;dition &eacute;l&egrave;ve\" BORDER=\"0\">" ;
            Echo "</TD>" ;
            Echo "</FORM>" ;
            Echo "</TR></TABLE>" ;
            Echo "</TD></TR></TABLE>" ;
	    Break ;
   Case 3 : Echo "<FORM ACTION=\"./modif_classe.php\" METHOD=\"POST\">" ;
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"".$lettre."\">" ;
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_eleve\" VALUE=\"".$id_eleve."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"repere1\" VALUE=\"".$ligne ["repere1"]."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"repere2\" VALUE=\"".$ligne ["repere2"]."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$id_classe."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"nouv_id_classe\" VALUE=\"".$nouv_id_classe."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"etape\" VALUE=\"".$etape."\">" ;
            Echo "<TABLE BORDER=\"1\" ALIGN=\"CENTER\" CELLSPACING=\"0\" CELLPADDING=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" STYLE=\"border:1px solid #000000;border-collapse:collapse\">" ;
            Echo "<TR><TD>" ;
            Echo "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"2\" STYLE=\"border-collapse:collapse\">" ;
	    // Titre
            Echo "<TR><TD COLSPAN=\"4\" ALIGN=\"CENTER\">&nbsp;<B>R&eacute;-Attribution&nbsp;des&nbsp;notes</B>&nbsp;</TD></TR>" ;
	    // Espace
            Echo "<TR><TD COLSPAN=\"4\">&nbsp;</TD></TR>" ;
	    Echo affiche_eleve () ;
	    // Nouvelle Classe
            Echo "<TR>" ;
            Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Nouvelle&nbsp;classe&nbsp;:&nbsp;</FONT></TD>" ;
            Echo "<TD><FONT SIZE=\"".$l ["titre"]."\"><B>".nom_classe_long_parid ($nouv_id_classe)."&nbsp;</B>(<B>".nom_classe_bref_parid ($nouv_id_classe)."</B>)</FONT></TD>" ;
	    Echo "</TR>" ;
            // Options
            $options = options_id_classe ($nouv_id_classe) ;
	    Echo "<TR BGCOLOR=\"".$l ["nom"]."\">" ;
            Echo "<TD ALIGN=\"RIGHT\" vALIGN=\"TOP\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Nouvelles&nbsp;options&nbsp;:&nbsp;</FONT></TD>" ;
	    Echo "<TD vALIGN=\"TOP\"><FONT SIZE=\"".$l ["titre"]."\">" ;
	    $nb_option = 0 ;
            If (Is_Array ($options))
             {  
              $i = 0 ;
              While (list ($valeur, $cle) = Each ($options))
               {
		$option = var_courante ("op_".$i, 0, 0) ;
                If ($option)
                 {
		  $options_eleve [$nb_option][0] = $cle ;
		  $options_eleve [$nb_option][1] = $valeur ;
		  Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_disc_op_".$i."\" VALUE=\"".$cle."\">" ; // Id discipline
		  Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_sc_op_".$i."\" VALUE=\"".$valeur."\"" ; // Id service classe
		  Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"op_".$i."\" VALUE=\"1\">&nbsp;".nom_option ($valeur)."&nbsp;" ;
                  $serv_prof = SQL_commande ("SELECT sous_discipline FROM services_prof WHERE service_classe='".$valeur."' LIMIT 1", $id_sql) ;
                  $sp = SQL_ligne_suivante ($serv_prof) ;
                  If ($sp [0])
                   {
                    $sous_disc = SQL_commande ("SELECT nom FROM sous_disciplines WHERE id_sous_discipline='".$sp [0]."' LIMIT 1", $id_sql) ;
                    $sd = SQL_ligne_suivante ($sous_disc) ;
                    Echo "(<I>".$sd [0]."</I>)&nbsp;" ;
                   }
                  Echo "<BR>" ;
		  $nb_option++ ;
                 }
                Else { Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"op_".$i."\" VALUE=\"0\">" ; }
                $i++ ;
               }
              Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"nbr_opt\" VALUE=\"".$i."\">" ;
             }
            If ($nb_option == 0) { Echo "&nbsp;<B>AUCUNE</B>&nbsp;" ; }
	    Echo "</FONT></TD></TR>" ;
            // Groupes
            $groupes = groupes_classe ($nouv_id_classe) ;
	    Echo "<TR>" ;
            Echo "<TD ALIGN=\"RIGHT\" vALIGN=\"TOP\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Nouveaux&nbsp;groupes&nbsp;:&nbsp;</FONT></TD>" ;
	    $nb_groupe = 0 ;
            If (Is_Array ($groupes))
             {
              $ligne1 = "" ; $ligne2 = "" ;
              $i = 0 ;
              While (list ($cle, $valeur) = Each ($groupes))
               {
	        $groupe = var_courante ("id_gp_".$i, 0, 0) ;
                If ($groupe)
                 {
		  $groupes_eleve [$nb_groupe] = $groupe ;
                  $ligne1 .= "<TD ALIGN=\"CENTER\" BGCOLOR=\"".$l ["lien"]."\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;".$groupes [$cle][0]."&nbsp;</FONT></TD>" ;
                  $ligne2 .= "<TD ALIGN=\"CENTER\"><FONT SIZE=\"".$l ["titre"]."\">" ;
                  $ligne2 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"id_disc_gp_".$i."\" VALUE=\"".$cle."\">" ;
                  $ligne2 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"id_gp_".$i."\" VALUE=\"".$groupe."\">" ;
                  For ($j = 0 ; $j < $groupes [$cle][2] ; $j++)
                   {
                    If ($groupe == $groupes [$cle][3+$j*2]) { $ligne2 .= $groupes [$cle][4+$j*2] ; }
                   }
                  $ligne2 .= "</TD>" ;
		  $nb_groupe++ ;
                 }
		Else { $ligne2 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"id_gp_".$i."\" VALUE=\"0\">" ; }
                $i++ ;
               }
              If ($nb_groupe > 0)
	       {
                Echo "<TD COLSPAN=\"3\"><INPUT TYPE=\"HIDDEN\" NAME=\"nbr_gp\" VALUE=\"".$i."\">" ;
                Echo "<TABLE BORDER=\"1\" CELLSPACING=\"0\" CELLPADDING=\"1\" STYLE=\"border:1px solid #000000;border-collapse:collapse\">" ;
                Echo "<TR>".$ligne1."</TR><TR>".$ligne2."</TR></TABLE></TD></TR>" ;
               }
             }
	    If ($nb_groupe == 0) { Echo "<TD COLSPAN=\"3\" vALIGN=\"TOP\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;<B>AUCUN</B>&nbsp;</FONT></TD></TR>" ; }
            // Espace
            Echo "<TR><TD COLSPAN=\"4\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;</FONT></TD></TR>" ;
	    
	    // -----------------------------------------------------------------------------------------------------------------------------
	    // Re-attribution des notes
	    Echo "<TR BGCOLOR=\"".$l ["lien"]."\"><TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\"><B>&nbsp;Attribution&nbsp;automatique</TD><TD COLSPAN=\"3\">&nbsp;des&nbsp;notes&nbsp;</B></FONT></TD></TR>" ;
	    // Attribution automatique
	    $resultats = SQL_commande ("SELECT d.nom_court,d.nom_bref,d.code,s.*,c.optionnelle,c.groupe
	                                  FROM disciplines d,services_prof s,services_classe c
				         WHERE s.classe='".$id_classe."' AND s.discipline=d.id_discipline AND s.service_classe=c.id_service_classe
			              ORDER BY d.nom_court,d.nom_bref", $id_sql) ;
	    $chaine = "" ;
	    $deja_attribue [0][0] = 0 ;
	    $ok_chaine = 0 ;
	    For ($i = 0 ; $i < SQL_nbr_lignes ($resultats) ; $i++)
	     {
	      $r = SQL_tableau_associatif ($resultats,"") ;
	      $requete = "SELECT d.id_discipline,d.nom_court,d.nom_bref,d.code,s.*,c.optionnelle,c.groupe
	                    FROM disciplines d,services_prof s,services_classe c
	                   WHERE s.discipline='".$r ["discipline"]."' AND s.classe='".$nouv_id_classe."' AND s.discipline=d.id_discipline
			     AND s.sous_discipline='".$r ["sous_discipline"]."' AND s.service_classe=c.id_service_classe" ;
              $requete .= " ORDER BY d.nom_court,d.nom_bref" ;
	      $res = SQL_commande ($requete, $id_sql) ;
              If (SQL_nbr_lignes ($res) > 0)
	       {
	        For ($j = 0 ; $j < SQL_nbr_lignes ($res) ; $j++)
	         {
		  $rs = SQL_tableau_associatif ($res,"") ;
		  $ok = 0 ;
		  If (($rs ["optionnelle"] == 1) Or ($rs ["groupe"] == 1))
		   {
		    If ($rs ["optionnelle"] == 1)
		     {
		      // Verifie option
		      For ($k = 0 ; $k < $nb_option ; $k++)
	               {
		        If ($options_eleve [$k][1] == $rs ["service_classe"]) { $ok = 1 ; }
		       }
                     }
		    If ($rs ["groupe"] == 1)
		     {
		      // Verifie groupe
		      For ($k = 0 ; $k < $nbr_groupe ; $k++)
	               {
		        If ($groupes_eleve [$k] == $rs ["groupe_classe"]) { $ok = 1 ; }
		       }
                     }
                   }
                  Else { $ok = 1 ; }
		  
		  // Verifie si deja attribue
		  If ($ok == 1)
		   {
		    Echo "<TR" ;
		    If ($ok_chaine%2) { Echo " BGCOLOR=\"".$l ["nom"]."\"" ; }
		    Echo "><TD ALIGN=\"RIGHT\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\"><B>".$r ["nom_court"]."</B>&nbsp;" ;
		    If ($r ["sous_discipline"] > 0)
		     {
		      $res_sd = SQL_commande ("SELECT * FROM sous_disciplines WHERE id_sous_discipline='".$r ["sous_discipline"]."' LIMIT 1", $id_sql) ;
		      $sd = SQL_tableau_associatif ($res_sd,"") ;
		      Echo "(".$sd ["nom"].")&nbsp;" ;
		     }
                    If ($r ["optionnelle"] == 1) { Echo "Option&nbsp;" ; }
		    If ($r ["groupe"] == 1) { Echo "en&nbsp;Groupe&nbsp;" ; }
		    //Echo $r ["discipline"]."-".$r ["sous_discipline"] ;
		    Echo "</FONT></TD><TD COLSPAN=\"3\"><FONT SIZE=\"".$l ["titre"]."\">->&nbsp;<B>".$rs ["nom_court"]."</B>&nbsp;" ;
		    If ($rs ["sous_discipline"] > 0)
		     {
		      $res_sd = SQL_commande ("SELECT * FROM sous_disciplines WHERE id_sous_discipline='".$rs ["sous_discipline"]."' LIMIT 1", $id_sql) ;
		      $sd = SQL_tableau_associatif ($res_sd,"") ;
		      Echo "(".$sd ["nom"].")&nbsp;" ;
		     }
                    If ($rs ["optionnelle"] == 1) { Echo "Option&nbsp;" ; }
		    If ($rs ["groupe"] == 1) { Echo "Groupe&nbsp;" ; }
		    //Echo $rs ["id_discipline"]."-".$rs ["sous_discipline"] ;
		    $ok_chaine++ ;
		    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_sp_s_".$ok_chaine."\" VALUE=\"".$r ["id_service_prof"]."\">" ;
		    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_sp_d_".$ok_chaine."\" VALUE=\"".$rs ["id_service_prof"]."\">" ;
		    Echo "</FONT></TD></TR>" ;
		    $chaine .= "AND !(s.discipline='".$rs ["id_discipline"]."' AND s.sous_discipline='".$rs ["sousdiscipline"]."')" ;
		    enregistre_discipline ($rs ["id_discipline"],$rs ["sous_discipline"]) ;
                   }
		 }
	       }
	     }
	    $chaine = fabrique_chaine () ;
	    // Espace
            Echo "<TR><TD COLSPAN=\"4\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;</FONT></TD></TR>" ;
	    
	    // Re-attribution manuelle des notes
	    Echo "<TR BGCOLOR=\"".$l ["lien"]."\"><TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\"><B>&nbsp;Attribution&nbsp;manuelle</TD><TD COLSPAN=\"3\">&nbsp;des&nbsp;notes&nbsp;</B></FONT></TD></TR>" ;
	    // Recherche des disciplines ancienne classe
	    $resul1 = SQL_commande ("SELECT d.id_discipline,d.nom_court,d.nom_bref,d.code,s.*,c.optionnelle,c.groupe,u.nom,u.prenom
	                               FROM disciplines d,services_prof s,services_classe c,utilisateurs u
	                              WHERE s.discipline=d.id_discipline AND s.classe='".$id_classe."' ".$chaine."
				        AND s.service_classe=c.id_service_classe AND s.professeur=u.id_utilisateur
				   ORDER BY d.nom_court,d.nom_bref", $id_sql) ;
            If (SQL_nbr_lignes ($resul1) > 0)
	     {
	      // Recherche des disciplines nouvelle classe
	      $resul2 = SQL_commande ("SELECT d.id_discipline,d.nom_court,d.nom_bref,d.code,s.*,c.optionnelle,c.groupe,u.nom,u.prenom
	                                 FROM disciplines d,services_prof s,services_classe c,utilisateurs u
	                                WHERE s.discipline=d.id_discipline AND s.classe='".$nouv_id_classe."' ".$chaine."
					  AND s.service_classe=c.id_service_classe AND s.professeur=u.id_utilisateur
			             ORDER BY d.nom_court,d.nom_bref", $id_sql) ;
              If (SQL_nbr_lignes ($resul1) > 0)
	       {
	        $choix = "<OPTION VALUE=\"0\">Effacer les notes...</OPTION>" ;
	        For ($i = 0 ; $i < SQL_nbr_lignes ($resul2) ; $i++)
	         {
		  $r2 = SQL_tableau_associatif ($resul2,"") ;
		  $choix .= "<OPTION VALUE=\"".$r2 ["id_service_prof"]."\">".$r2 ["nom_court"] ;
		  If ($r2 ["sous_discipline"] > 0)
		   {
		    $res_sd = SQL_commande ("SELECT * FROM sous_disciplines WHERE id_sous_discipline='".$r2 ["sous_discipline"]."' LIMIT 1", $id_sql) ;
		    $sd = SQL_tableau_associatif ($res_sd,"") ;
		    $choix .= "(".$sd ["nom"].")&nbsp;" ;
		   }
		  If ($r2 ["optionnelle"] == 1) { $choix .= "&nbsp;Option" ; }
		  If ($r2 ["groupe"] == 1) { $choix .= "&nbsp;en&nbsp;Groupe" ; }
		  $choix .= "&nbsp;(".$r2 ["nom"]."&nbsp;".$r2 ["prenom"].")" ;
		  $choix .= "</OPTION>" ;
		 }
	        For ($i = 0 ; $i < SQL_nbr_lignes ($resul1) ; $i++)
	         {
	          $r1 = SQL_tableau_associatif ($resul1,"") ;
	  	  Echo "<TR" ;
		  If ($i%2) { Echo " BGCOLOR=\"".$l ["nom"]."\"" ; }
		  Echo "><TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\"><B>&nbsp;".$r1 ["nom_court"]."&nbsp;</B>" ;
		  If ($r1 ["sous_discipline"] > 0)
		   {
		    $res_sd = SQL_commande ("SELECT * FROM sous_disciplines WHERE id_sous_discipline='".$r1 ["sous_discipline"]."' LIMIT 1", $id_sql) ;
		    $sd = SQL_tableau_associatif ($res_sd,"") ;
		    Echo "(".$sd ["nom"].")&nbsp;" ;
		   }
		  If ($r1 ["optionnelle"] == 1) { Echo "&nbsp;Option" ; }
		  If ($r1 ["groupe"] == 1) { Echo "&nbsp;en&nbsp;Groupe" ; }
		  Echo "&nbsp;(<FONT SIZE=\"-1\"><I>".$r1 ["nom"]."&nbsp;".$r1 ["prenom"]."</I></FONT>)" ;
		  Echo "</FONT></TD>" ;
		  $ok_chaine++ ;
		  Echo "<TD COLSPAN=\"3\"><FONT SIZE=\"".$l ["titre"]."\">->&nbsp;" ;
		  Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_sp_s_".$ok_chaine."\" VALUE=\"".$r1 ["id_service_prof"]."\">" ;
		  Echo "<SELECT NAME=\"id_sp_d_".$ok_chaine."\">".$choix."</SELECT>&nbsp;</FONT></TD></TR>" ;
	         }
               }
	      Else
	       {
	        Echo "<TR><TD COLSPAN=\"4\" ALIGN=\"CENTER\"><FONT SIZE=\"".$l ["titre"]."\"><B>&nbsp;Plus&nbsp;aucune&nbsp;discipline&nbsp;en&nbsp;correspondance.&nbsp;</B></FONT></TD></TR>" ;
	       }
             }
            Else
	     {
	      Echo "<TR><TD COLSPAN=\"4\" ALIGN=\"CENTER\"><FONT SIZE=\"".$l ["titre"]."\"><B>&nbsp;Tout&nbsp;est&nbsp;d&eacute;j&agrave;&nbsp;attribu&eacute;&nbsp;</B></FONT></TD></TR>" ;
	     }
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"nbr_sp\" VALUE=\"".$ok_chaine."\">" ;
	    // Espace
            Echo "<TR><TD COLSPAN=\"4\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;</FONT></TD></TR>" ;
            // Boutons
            Echo "<TR>" ;
            Echo "<TD></TD>" ;
            Echo "<TD ALIGN=\"CENTER\">" ;
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
            Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/valider.png\" TITLE=\"Valider le changement de classe...\" VALUE=\"Valider\" BORDER=\"0\">" ;
            Echo "</TD>" ;
            Echo "</FORM>" ;
            Echo "<FORM ACTION=\"./edite_eleve.php\" METHOD=\"POST\">" ;
            Echo "<TD ALIGN=\"RIGHT\" COLSPAN=\"2\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
	    Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_eleve\" VALUE=\"".$id_eleve."\">" ;
            Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"".$lettre."\">" ;
            Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/annuler.png\" TITLE=\"Retour &agrave; l'&eacute;dition &eacute;l&egrave;ve\" BORDER=\"0\">" ;
            Echo "</TD>" ;
            Echo "</FORM>" ;
            Echo "</TR></TABLE>" ;
            Echo "</TD></TR></TABLE>" ;
	    Break ;
   Case 4 : Echo "<BR>" ;
            affiche_message ($mess, $rapport) ;
            Echo "<TABLE BORDER=\"1\" ALIGN=\"CENTER\" CELLSPACING=\"0\" CELLPADDING=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" STYLE=\"border:1px solid #000000;border-collapse:collapse\">" ;
            Echo "<TR><TD>" ;
            Echo "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\" STYLE=\"border-collapse:collapse\">" ;
	    // Espace
            Echo "<TR><TD>&nbsp;</TD></TR>" ;
	    // Titre
            Echo "<TR><TD ALIGN=\"CENTER\">&nbsp;<B>Modification&nbsp;effectu&eacute;e&nbsp;!</B>&nbsp;</TD></TR>" ;
	    // Espace
            Echo "<TR><TD>&nbsp;</TD></TR>" ;
            Echo "</TABLE>" ;
            Echo "</TD></TR></TABLE>" ;
	    Break ;
  }
 Echo "</BODY></HTML>" ;
?>