<?php
 If (!IsSet ($reentrance))
  {
   Session_Start () ;
   Include ("../../include/garennes.cfg") ;
   Include ("../../include/init.php") ;
   Include ("../include/config.inc") ;
   verif_droits ($droit_courant, $_SESSION ["code"]) ;
  }
 
 $id_classe = var_courante ("id_classe", 0, 97) ;
 $periode = var_courante ("periode", 0, 1) ;
 $saisie = var_courante ("saisie", 0, Null) ;
 $millesime = millesime (0) ;
 $id_utilisateur = utilparcode ($_SESSION ["code"]) ;
 
 $id_etablissement = var_courante ("id_etablissement", 0, id_etablissement_par_id_classe ($id_classe)) ;
 $droit_equipe = restaure_configuration_defaut ("SYSTEME_PARAM", "saisie_equipe_peda_".$droit_courant, $id_etablissement, 0) ;
 $id_pp = professeur_principal ($id_classe) ;
 
 // Essai prof
 /*
 $droit_courant = $droit_prof ;
 $id_utilisateur = $id_pp ;
 $droit_equipe = 1 ;
 */
 If ((($droit_courant == $droit_secretariat) Or ($droit_courant == $droit_direction) Or ($droit_courant == $droit_cpe) Or
     (($droit_courant == $droit_prof) And ($id_utilisateur == $id_pp)) And ($droit_equipe == 1)) And ($periode > 0))
  { $droit_general = 1 ; }
 Else
  { $droit_general = 0 ; }
 
 If ($droit_general == 1)
  {
   // Enregistrement des saisies
   If (IsSet ($saisie) And ($saisie == 1))
    {
     $appr_ep = 0 ;
     $droit_cases_cochables = restaure_configuration_defaut ("SYSTEME_PARAM", "BULLETIN_COCHE_".$id_etablissement, "ACTIVATION", 0) ;
     If ($droit_cases_cochables == 1) { $nombre = var_courante ("nombre_cc", 0, 0) ; }
     $nombre_eleve = var_courante ("nombre_eleve", 0, 0) ;
     For ($i = 1 ; $i <= $nombre_eleve ; $i++)
      {
       $id_eleve = var_courante ("id_eleve_".$i, 0, 0) ;
       If ($id_eleve > 0)
        {
         $aep_texte = var_courante ("aep_".$i, 0, "") ;
         $aep_texte = htmlspecialchars ($aep_texte) ;
         $aep_texte = filtrage ($aep_texte) ;
         $ok = ecriture_appreciation_equipe_pedagogique ($id_eleve, $id_classe, $periode, $aep_texte) ;
         If ($ok) { $appr_ep++ ; }
         // Cases a cocher
         If ($droit_cases_cochables == 1)
          {
           If ($nombre > 0)
            {
	     For ($j = 1 ; $j <= $nombre ; $j++)
	      {
	       $valeur = var_courante ("cc_".$id_eleve."_".$j, 0, 0) ;
	       sauvegarde_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$id_etablissement, "VALEUR_".$id_classe."_".$id_eleve."_".$periode."_".$j, $valeur) ;
	      }
	    }
	  }
	}
      }
     If ($appr_ep == $nombre_eleve) { $message = "Saisie effectu&eacute;e !" ; } Else { $message = "Erreur dans la saisie !" ; }
    }
   // Affichage
   If ($droit_courant == $droit_prof)
    {
     $param_theme = parametres_theme (themeparsession ($_SESSION ["code"])) ;
     $rep_themes = "../../images/themes/" ;
     Include ($rep_themes.$param_theme ["nom_repertoire"]."/".$param_theme ["fichier_config"]) ;
    }
   Else
    {
     $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0' LIMIT 1", $id_sql) ;
     $l = SQL_tableau_associatif ($resultats, "") ;
    }
   Echo "<html><head>" ;
   entete_html ("Garennes", "travail", 1) ;
   Echo styles ("none", "none", "none", $l ["lien"], "none") ;
   Echo "<style type=\"text/css\"> " ;
   Echo ".cellule{border:1px solid #000000;}" ;
   Echo ".cellule_vide{border:0px;}" ;
   Echo ".cellule_gauche{border-top:1px solid #000000;border-left:1px solid #000000;border-bottom:1px solid #000000;}" ;
   Echo ".cellule_milieu{border-top:1px solid #000000;border-bottom:1px solid #000000;}" ;
   Echo ".cellule_droite{border-top:1px solid #000000;border-right:1px solid #000000;border-bottom:1px solid #000000;}" ;
   Echo ".cellule_gauche_case{border-top:1px solid #000000;border-left:1px solid #000000;}" ;
   Echo ".cellule_milieu_case{border-top:1px solid #000000;}" ;
   Echo ".cellule_droite_case{border-top:1px solid #000000;border-right:1px solid #000000;}" ;
   //Echo ".cellule_gauche_case_bas{border-left:1px solid #000000;border-bottom:1px solid #000000;}" ;
   //Echo ".cellule_milieu_case_bas{border-bottom:1px solid #000000;}" ;
   Echo ".cellule_droite_case_bas{border-right:1px solid #000000;border-bottom:1px solid #000000;}" ;
   Echo "</style>" ;
   Echo "</head>" ;
   
   Echo "<body background=\"../images/fond.png\" text=\"#000000\" onContextMenu=\"return false\">" ;
   If ($droit_courant != $droit_prof)
    {
     Echo "<center><font color=\"#0000ff\"><b>Saisie&nbsp;des&nbsp;appr&eacute;ciations&nbsp;de&nbsp;l'&eacute;quipe&nbsp;p&eacute;dagogique.</b></font></center>" ;
    }
   If (IsSet ($message)) { Echo "<br><center><font color=\"#ff0000\">".$message."</font></center>" ; }
   
   If (($id_classe > 0) And ($periode > 0))
    {
     // Recherche caracteristiques classe
     $nom_long_classe = nom_classe_long_parid ($id_classe) ;
     $nom_bref_classe = nom_classe_bref_parid ($id_classe) ;
     $effectif_classe = effectif ($id_classe) ;
     $periode_actuelle_classe = periode_actuelle ($id_classe) ;
     $id_etablissement = id_etablissement_par_id_classe ($id_classe) ;
     If ($periode <= $periode_actuelle_classe)
      {
       $numero_rne = retrouve_rne ($millesime) ;
       $droit_cases_cochables = restaure_configuration_defaut ("SYSTEME_PARAM", "BULLETIN_COCHE_".$id_etablissement, "ACTIVATION", 0) ;
       If ($droit_cases_cochables == 1) { $nombre = restaure_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$id_etablissement, "NOMBRE") ; }
       Echo "<form action=\"./saisie_appreciations_equipe.php\" name=\"appreciations\" method=\"post\">" ;
       
       If ($droit_courant != $droit_prof)
        {
         Echo "<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" align=\"center\" style=\"border-collapse:collapse;\">" ;
         Echo "<tr bgcolor=\"".$l ["lien"]."\"><td align=\"center\" colspan=\"3\" class=\"cellule\"><b>" ;
         Echo nom_classe_long_parid ($id_classe)."&nbsp;(".nom_classe_bref_parid ($id_classe).")" ;
         Echo "&nbsp;pour&nbsp;le&nbsp;".nom_periode ($id_classe)."&nbsp;".$periode."</b></td></tr>" ;
        }
       Else
        {
	 Echo "<br>" ;
	 $non_centrer = 0 ;
         $titre_fenetre = "Saisie&nbsp;des&nbsp;appr&eacute;ciations&nbsp;de&nbsp;l'&eacute;quipe&nbsp;p&eacute;dagogique&nbsp;:&nbsp;<b>".nom_classe_long_parid ($id_classe)."&nbsp;(".nom_classe_bref_parid ($id_classe).")&nbsp;pour&nbsp;le&nbsp;".nom_periode ($id_classe)."&nbsp;".$periode."</b>" ;
         Include ("../include/debut_theme.inc") ;
         Echo "<table border=\"0\" align=\"center\" bgcolor=\"".$theme [0][3]."\" cellspacing=\"0\" cellpadding=\"0\" style=\"border-collapse:collapse\">" ;
        }
       
       /*
       // Interface complete : Avec tous les resultats (Etape 2)
       $groupe_disc = groupement_disciplines ($id_classe, $millesime) ;
       If ($id_classe > 0)
        {
         $resultat = SQL_commande ("SELECT * FROM classes WHERE id_classe='".$id_classe."' LIMIT 1", $id_sql) ;
         $ligne = SQL_tableau_associatif ($resultat, "") ;
         $nom = $ligne ["nom"] ;
         $nom_bref = $ligne ["nom_bref"] ;
         $groupe_discipline = restaure_configuration_defaut ("SYSTEME_PARAM","GESTION","GROUPE_DISC_ACTIVATION_".$ligne ["etablissement"], 0) ;
         $id_cpe = $ligne ["cpe"] ;
        }
       Else { $groupe_discipline = 0 ; }
       
       If ($id_classe <> 0)
        {
         If (($ok_gdisc == 1) And ($groupe_disc [0][0] > 0) And ($groupe_disc [1][0] >= 0))
          {
           Echo "<table border=\"0\" align=\"center\" cellspacing=\"0\" cellpadding=\"0\" style=\"border-collapse:collapse\"><tr><td>" ;
           Echo "<script type=\"text/javascript\">onglets.afficher_entete();</script>" ;
           Echo "<div id=\"onglets0\" style=\"display:none;top:0px;left:0px;width:100%;height:100%;\">" ;
           Echo affichage_attributions ($id_classe, $millesime, $groupe_disc, "./edite_classe.php", "attribution") ;
           Echo "</div>" ;
           For ($i = 1 ; $i <= $groupe_disc [0][0]+$ok_sans_groupe ; $i++)
            {
             // Etat d'un onglet
             If ($i == $ok_sans_groupe) { $grd = 0 ; } Else { $grd = $groupe_disc [$i-$ok_sans_groupe][0] ; }
             Echo "<div id=\"onglets".$i."\" style=\"display:none;top:0px;left:0px;width:100%;height:100%;\">" ;
             Echo affichage_etat ($id_classe, $grd, $millesime, $i) ;
             Echo "</div>" ;
            }
           Echo "<script type=\"text/javascript\">onglets.afficher_pied();</script>" ;
           Echo "</td></tr></table>" ;
          }
         Else { Echo affichage_etat ($id_classe, -1, $millesime, 0) ; }
        }
     
       $resultat = structure_pedagogique ($id_classe, $id_groupe, $millesime) ;
       */
       
       // Saisie simplifiee : Uniquement les eleves et photos (Etape 1)
       If ($droit_cases_cochables == 1) { $plus_html = " rowspan=\"2\"" ; $plus_css = "_case" ; } Else { $plus_html = "" ; $plus_css = "" ; }
       $eleves = eleves_par_id_classe ($id_classe) ;
       If ($eleves [0][0] > 0)
        {
         For ($i = 1 ; $i <= $eleves [0][0] ; $i++)
          {
	   $aep = appreciation_equipe_pedagogique ($eleves [$i][0], $id_classe, $periode) ;
	   Echo "<tr" ;
	   If ($droit_courant == $droit_prof) { Echo " bgcolor=\"".$theme [10][$i%$theme [10][0]+1]."\"" ; }
	   ElseIf ($i%2 == 0) { Echo " bgcolor=\"".$l ["nom"]."\"" ; } Else { Echo " bgcolor=\"".$l ["couleur_fond"]."\"" ; }
	   Echo "><td class=\"cellule_gauche".$plus_css."\"".$plus_html.">&nbsp;<b>".$eleves [$i][1]."</b>&nbsp;<br>&nbsp;<i>".$eleves [$i][2]."</i>&nbsp;</td>" ;
	   Echo "<td valign=\"center\" class=\"cellule_milieu".$plus_css."\"".$plus_html."><img src=\"../../images/eleves/" ;
	   If (File_Exists ("../../images/eleves/".$numero_rne."/".$eleves [$i][6])) { Echo $numero_rne."/".$eleves [$i][6] ; } Else { Echo "anonyme.png" ; }
	   Echo "\" border=\"0\"></td>" ;
	   Echo "<td class=\"cellule_droite".$plus_css."\"><textarea name=\"aep_".$i."\" rows=\"3\" cols=\"70\" style=\"border:1px solid black\">".$aep."</textarea>&nbsp;&nbsp;</td></tr>" ;
	   Echo "<input type=\"hidden\" name=\"id_eleve_".$i."\" value=\"".$eleves [$i][0]."\">" ;
	   // Remplissage cases a cocher (si activees)
           If ($droit_cases_cochables == 1)
            {
             If ($nombre > 0)
              {
	       Echo "<tr" ;
	       If ($droit_courant == $droit_prof) { Echo " bgcolor=\"".$theme [10][$i%$theme [10][0]+1]."\"" ; }
	       ElseIf ($i%2 == 0) { Echo " bgcolor=\"".$l ["nom"]."\"" ; } Else { Echo " bgcolor=\"".$l ["couleur_fond"]."\"" ; }
	       Echo "><td class=\"cellule_droite_case_bas\"><table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"border-collapse:collapse\">" ;
	       $nbr_max = Ceil ($nombre/2) ;
	       $nbr = 0 ;
	       Echo "<tr>" ;
	       For ($j = 1 ; $j <= $nombre ; $j++)
	        {
	         $valeur = restaure_configuration_defaut ("SYSTEME_PARAM", "BULLETIN_COCHE_".$id_etablissement, "VALEUR_".$id_classe."_".$eleves [$i][0]."_".$periode."_".$j, 0) ;
	         $nom = restaure_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$id_etablissement, "NOM_".$j) ;
	         Echo "<td align=\"right\"><input type=\"checkbox\" name=\"cc_".$eleves [$i][0]."_".$j."\" value=\"1\"" ; If ($valeur == 1) { Echo " checked" ; }
	         Echo "></td><td>&nbsp;".$nom."&nbsp;</td><td>&nbsp;&nbsp;</td>" ;
	         $nbr++ ;
	         If ($nbr >= $nbr_max) { Echo "</tr><tr>" ; $nbr = 0 ; }
	        }
	       Echo "</table></td></tr>" ;
	      }
  	    }
  	  }
         Echo "<input type=\"hidden\" name=\"id_etablissement\" value=\"".$id_etablissement."\">" ;
         Echo "<input type=\"hidden\" name=\"id_classe\" value=\"".$id_classe."\">" ;
         Echo "<input type=\"hidden\" name=\"periode\" value=\"".$periode."\">" ;
         Echo "<input type=\"hidden\" name=\"nombre_eleve\" value=\"".$eleves [0][0]."\">" ;
         Echo "<input type=\"hidden\" name=\"nombre_cc\" value=\"".$nombre."\">" ;
         Echo "<input type=\"hidden\" name=\"saisie\" value=\"1\">" ;
         Echo "<tr><td align=\"center\" colspan=\"3\" class=\"cellule_vierge\"><input type=\"image\" src=\"" ;
         If ($droit_courant == $droit_prof) { Echo $rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][0] ; } Else { Echo "../images/valider.png" ; }
         Echo "\">&nbsp;</td></tr>" ;
         Echo "</table></form>" ;
         If ($droit_courant == $droit_prof) { Include ("../include/fin_theme.inc") ; }       
        }
       Else
        {
         // Pas d'eleves
	 Echo "<br><center>Aucun &eacute;l&egrave;ve dans cette classe.</center>" ;
        }
      }
     Else
      {
       // Pb de periode
       Echo "<br><center>P&eacute;riode choisie non conforme. Contactez votre administrateur Garennes.</center>" ;
      }
    }
   Else
    {
     // Aucune classe ou mauvaise periode
     If ($id_classe <= 0) { Echo "<br><center>Classe choisie non conforme.</center>" ; }
     If ($periode <= 0) { Echo "<br><center>P&eacute;riode choisie non conforme.</center>" ; }
     Echo "<br><center>Contactez votre administrateur Garennes.</center>" ;
    }
   Echo "</body></html>" ;
  }
 Else
  {
   // Aucun droit
   Echo "<html><head>" ;
   entete_html ("Garennes", "travail", 1) ;
   Echo styles ("none", "none", "none", $l ["lien"], "none") ;
   Echo "</head>" ;
   Echo "<body background=\"../images/fond.png\" text=\"#000000\" onContextMenu=\"return false\">" ;
   Echo "<center><font color=\"#0000ff\"><b>Saisie&nbsp;des&nbsp;appr&eacute;ciations&nbsp;de&nbsp;l'&eacute;quipe&nbsp;p&eacute;dagogique.</b></font></center>" ;
   Echo "<br><center>Vous n'avez pas les droits d'acc&eacute;der &agrave; cette interface. Contactez votre administrateur Garennes.</center>" ;
   Echo "</body></html>" ;
  }
?>